What's new in GOK 2.28.1?

	Bug fixes:

	#595469 - Fix crash when removing gconf keys
	#588196 - Check for libusb preprocessor macros with #if defined (Aurelien Jarno)
	#514007 - Remove executable permission from l10n.txt and legal.xml

	Misc. updates / fixes:

	- Fix mai.po file permission

	New and updated translations:

	[ca] Gil Forcada
	[cs] Petr Kovar
	[or] Manoj Kumar Giri
	[ru] Leonid Kanter


What's new in GOK 2.28.0?

	New and updated translations:

	[ar] Khaled Hosny
	[as] Amitakhya Phukan
	[da] Ask H. Larsen
	[de] Christian Kirbach
	[en_GB] Philip Withnall
	[gu] Sweta Kothari
	[hi] Rajesh Ranjan
	[hu] Gabor Kelemen
	[it] Francesco Marletta
	[ja] Takayuki KUSANO
	[kn] Shankar Prasad
	[ko] Changwoo Ryu
	[lt] Gintautas Miliauskas
	[ml] Ani
	[pa] A S Alam
	[pl] Piotr Drąg
	[ro] Lucian Adrian Grijincu
	[sl] Matej Urbančič
	[sr] Miloš Popović
	[sr@latin] Miloš Popović
	[te] Krishnababu K
	[tr] Baris Cicek
	[zh_CN] Aron Xu

What's new in GOK 2.27.92?

	Bug fixes:

	#581968 - Add translator comment for "Key Feedback"

	New and updated translations:

	[ar] Khaled Hosny
	[bn_IN] Runa Bhattacharjee
	[ca] Gil Forcada
	[ca@valencia] Carles Ferrando
	[eu] Inaki Larranaga Murgoitio
	[pt_BR] Isis Binder, Rodrigo L. M. Flores

What's new in GOK 2.27.91?

	Bug fixes:

	#592692 - Remove deprecated Encoding key from desktop file (Frederic Peters)
	#591506 - Add string.h include for strcmp() (Vincent Untz)

	New and updated translations:

	[bg] Alexander Shopov
	[cs] Andre Klapper
	[fi] Tommi Vainikainen
	[fr] Claude Paroz
	[ga] Sean de Burca
	[gl] Anton Meixome
	[pt] Rui Batista

What's new in GOK 2.27.90?

	Misc. updates / fixes:

	- Minor update to API reference templates
	- Disable gtk engines in gok.rc (#585633)
	- Substitute $sounddir in gconf schema file
	- Enable libusb-input during make distcheck

	Bug fixes:

	#589117 - Remove libgnome and libgnomeui dependency
	#589967 - Build failure caused by missing header (Götz Waschk)

	New and updated translations:

	[nb] Kjartan Maraas
	[zh_CN] Ray Wang

What's new in GOK 2.27.5?

	Bug fixes:

	#588877 - Cleanup <gnome.h> includes (Andre Klapper)
	#588458 - GOK fails to build with libusb enabled

	New and updated translations:

	[ta] drtvasudevan
	[zh_HK] Chao-Hsiung Liao
	[zh_TW] Chao-Hsiung Liao

What's new in GOK 2.27.4?

	Bug fixes:

	#585633 - Enable gtk engines
	#584612 - Use gtk_show_uri instead of gnome_help

	New and updated translations:

	[es] Jorge Gonzalez
	[sv] Daniel Nylander
	[uk] Maxim V. Dziumanenko

What's new in GOK 2.27.3?

	Bug fixes:

	#584002 - Add missing return value
	#584004 - Remove esound from pkg-config file

	New and updated translations:

	[nb] Kjartan Maraas
	[sv] Daniel Nylander

What's new in GOK 2.27.2?

	Bug fixes:

	#581492 - Remove esound check from configure
	#583313 - Don't show widgets in non-active tabs

	New and updated translations:

	[es] Jorge Gonzalez
	[ta] drtvasudevan

What's new in GOK 2.27.1?

	Bug fixes:

	#570723 - Replace deprecated gnome_i18n_get_language_list
	#572913 - Migrate to libcanberra
	#572686 - Remove deprecated GTK+ symbols

	New and updated translations:

	[kn] Shankar Prasad
	[pa] Amanpreet Singh Alam

What's new in GOK 2.26.0?

	* Lots of translation updates

What's new in GOK 2.25.91?

	Bug fixes:

	#435973 - Migrate to GtkAboutDialog
	#560441 - Remove deprecated GLib symbols
	#567105 - Fix empty msgid's
	#570756 - Disable XEvIE by default (Li Yuan)

	New and updated translations:

	[bg] Alexander Shopov
	[da] Kenneth Nielsen
    	[es] Jorge Gonzalez
    	[eu] Inaki Larranaga Murgoitio
    	[nb] Kjartan Maraas
    	[nl] Wouter Bolsterlee
    	[pt] Duarte Loreto
    	[sv] Daniel Nylander
    	[vi] Clytie Siddall
	[zh_HK] Chao-Hsiung Liao
	[zh_TW] Chao-Hsiung Liao

What's new in GOK 2.25.90?

	* Bug fixes: #536277
	* New '--disable-autobranch' command-line option.

What's new in GOK 2.25.3?

	* Migration to msgctxt (#567105), thanks to Leonardo Ferreira Fontenelle.

	* Updated translations.

What's new in GOK 2.23.91?

	* Now aligning with GNOME versioning!

	* Stability based bug fixes, and updated translations.

What's new in GOK 1.4.0?
	* GOK now uses the core pointer (regular system mouse) by default

	* Loads of improvements thanks to growing GOK community.

	* Updated translations, and numerous bug fixes.

What's new in GOK 1.3.2?
	* Mainly bug fixes including 413414, and 316851

	* Added utf8 validation (towards fix for 457560)

	* Patches from Yi Jin, Padraig, and Stanislav Brabec

	* Updated translations.

What's new in GOK 1.3.0?
	* GOK now works with Firefox 3.x (bug 356702)

	* Updated Vietnamese translation: Clytie Siddall

What's new in GOK 1.2.5?
	* numerous translations and minor bug fixes.

What's new in GOK 1.2.1?
	* libusb support! (see README.libusb) Thanks Ben Konrath!

	* Ubuntu crasher fixed! Thanks Bill!

	* Bugfixes include: 334273. 350356, 394511, 395040, 159027

	* Updated translations.

What's new in GOK 1.2.0?

	* Returned to the use of new GOption style of command line argument

	* Mainly bugfixes dealing with stability including: 
	350356, 351694, and 351993
	
	* Updated translations:
		Subhransu Behera, Rahul Bhalerao, Artur Flinta, Leonid Kanter,
		Gabor Kelemen, Inaki Larranaga, Christophe Merlet, Jovan Naumovski
		Daniel Nylander, Hendrik Richter, Changwoo Ryu, Satoru SATOH

What's new in GOK 1.1.1?

	* new GOption style command line arguments 
	(requires newer Glib)

	* Mainly bugfixes dealing with stability including: 344251, 
	116253, 322094, 341507, and #341478

What's new in GOK 1.1.0?

	* reverted GOption usage to popt (for older glib compatability)

What's new in GOK 1.0.9?

	* We now use the new GOption style of command line argument
	handling. Fix for bug #336414

	* Fix for bug #314168

	* We now use the translator friendly LINGUAS setup. 
	Fixes bug # 337969

	* Removed illegal memory access, should improve stability.
	(Possible fix for bug #341124)

	* Updated translations:
		Priit Laes (et)
		Takeshi AIHANA (jp)
		Funda Wang (zh_CN)

What's new in  GOK 1.0.7/1.0.8?

	* Fix for #330469: add program argument to include nameless gui
	  elements as gok keys

	* Fix for #330970: fix critical warning

	* Fix for #325559 and #331807: avoid EWMH violation

	* Fix for #168371: memory usage cleanup

	* Fix for #336359: make gok compile with latest at-spi

	* Updated translations:
		Rostislav "zbrox" Raykov (bg)
		Jordi Mallach (ca)
		Petr Tomes (cs)
		Rhys Jones (cy)
		Martin Willemoes Hansen (da)
		Hendrik Richter (de)
		Pema Geyleg (dz)
		Kostas Papadimas (el)
		Francisco Javier F. Serrador (es)
		Ivar Smolin (et)
		Iñaki Larrañaga Murgoitio (eu)
		Ilkka Tuohela (fi)
		Ignacio Casal Quinteiro (gl)
		Ankit Patel (gu)
		Rajesh Ranjan (hi)
		Gabor Kelemen (hu)
		Francesco Marletta (it)
		Satoru SATOH (ja)
		Vladimer Sichinava (ka)
		Zygimantas Berucka (lt)
		Kjartan Maraas (nb)
		Tino Meinen (nl)
		Kjartan Maraas (no)
		Claudio André (pt_BR)
		Duarte Loreto (pt)
		Leonid Kanter (ru)
		Laurent Dhima (sq)
		Slobodan D. Sredojevic (sr)
		Daniel Nylander (sv)
		Maxim Dziumanenko (uk)
		Clytie Siddall (vi)
		Woodman Tuen (zh_HK)
		Woodman Tuen (zh_TW)

What's new in  GOK 1.0.6?

       Enhanced EWMH behavior - GOK registers itself as a pager now.
       Works better with Firefox toolbars.
       Works better with OpenOffice configuration dialogs and menus.
       Bugfixes for: #321908, #323975, #160848, #322062, #308417,
		#304524, OpenOffice Issuezilla #48639.

       New languages:  
       'ru' (Russian - Nickolay V. Shmyrev)
       'fa' (Persian/Farsi - Roozbeh Pournader)
       'gl' (Galician - Ignacio Casal Quinteiro)

What's new in  GOK 1.0.5?

       * Respond to more children-changed:add events, specifically, rebuild
         the UI component list if children are added to ROLE_FRAME objects,
         ROLE_ROOT_PANE objects, or ROLE_PANEL objects (in addition to the
         roles already listened to, for instance ROLE_HTML_CONTAINER).

       * Handle the somewhat aberrant menus that some gtk+ apps exhibit if
         their UIs were created with glade - namely, menus may have
         ROLE_MENU_ITEM instead of ROLE_MENU.  If a ROLE_MENU_ITEM has
         children, then we now treat it as though it had ROLE_MENU.

What's new in  GOK 1.0.4?

       * Fix for #301377, we can now handle actionable table cells even if
         they don't have unique names.
	 
       * We now grab focus if the actionable item is a button; 
         this improves behavior with the gtk file selector.

       * New languages:  "eu" (Basque),  Iñaki Larrañaga.
                         "rw" (Rwandan), Steve Murphy.
       
       * Fix for #172111. 

What's new in  GOK 1.0.3?

	* Updated translations:
		Adam Weinberger (en_CA)
		ahmad riza h nst (id)
		Alessio Dessì (it)
		Jordi Mallach (ca)
		Jyotsna Shrestha (ne)

	* Fix for bug #171231 GOK sometimes hung when UI grabbing Yelp.
	
	* Fix for bug #170347 User is stuck when using the repeat key on a drop-down menu

	* Fix for bug #169761 Tidying up some code.
	
	* Fix for bug #160726 to allow gok to pass make distcheck.

2005-03-07  Irene Ryan <irene.ryan@sun.com>

	* help/gok/C/gok.xml: updated date, manual version, 
	and s/w version number

	* help/gok/C/gok-C.omf: updated version and date details



What's new in GOK 1.0.2?
* Updated Translations: 
	ahmad riza h nst (id)
	Alessio Dessì (it)
	Burçin Dönmez (tr)
	GNOME PL Team (pl)
	Jordi Mallach (ca)
	Jyotsna Shrestha (ne)
	Paul-Dan Oprisa-Stanescu (ro)
	Simos Xenitellis (el)
	Szabolcs Varga (hu)
	¿анило Шеган (sr)

What's new in GOK 1.0.1?

* Fix for #168093 GOK now implements some libwnck API locally to avoid
   build compatibility issues with newly changed libwnck API.

* Fix for #168281 Memory allocation issues fixed.

* Fix for #168405 Fixed unwanted activation in dwell mode when the core pointer
   happens to enter a GOK window without purposeful user action.

What's new in GOK 1.0.0?

* With version 1.0.0 GOK has reached production quality release. This version
   is very similar to 0.12.4.  We have updated the README file and made sure
   all the appropriate files have been marked for translation.

What's new in GOK 0.12.4?

* Fix for rfe #166552 - GOK now autodetects XInput events from unexpected 
  devices, and allows user to select the new XInput device.  GOK also
  attempts to work around corepointer conflicts by swapping the corepointer
  while it's running and restoring it on exit.
  This gives a great deal more insurance against core-pointer conflicts,
  USB-mouse renumbering due to hot-swapping, and other HID configuration
  issues.

* Bugfix for #166779 - we've fixed the regression in 'Mouse' functions.

* Bugfix for #159163 (Harry Lu) - we now successfully find more table-cell
  children, because we search recursively for names.

What's new in GOK 0.12.3?

* Four new translatable strings, for warning dialogs and alerts.

* Fixes for bugs #151606, #149266, #165828, #134348.

* Branch immediately to a UI Grab keyboard when an ALERT dialog is posted.

What's new in GOK 0.12.1?

* Fix for bugs 155473 (Bill Haneman), 160233 (Danilo Segan),
  151831 (David Bolter), 159932, 160717, 154926, 160357.

* New help manual from Irene Ryan.

What's new in GOK 0.12.0?

* bug fixes and a sparse NEWS section.

* Changed some terminology in UI to be consistent, i.e.
  "Select" and "Activate" mean pretty much the same thing across
  access methods now, 'select' means highlight, 'activate' means
  "virtual-click the GOK button".

What's new in GOK 0.11.16?

* Emergency bugfix for #157420 in 0.11.15.

* Bug fixes including: 155556, 157138, 157221, 154961, 155805, 156802
  154918, 156802,   
 
* Mostly fixes and improvements to the dynamic accessibility keyboards.


What's new in GOK 0.11.14 ?

* Bug fixes including: 155182 (double actions), 154499,
  154604, #156153, #156479, 155344, 155473, 155476, 155512.
           
* LoginHelper's setSafe implementation now prevents
  word completion, as it should.

* Distinguish between HTML content and browser controls.

* Hush compiler warnings (bug 154915).        

What's new in GOK 0.11.10/0.11.11 ?

* Fix regression caused by bugfix 151417; this release
  should be used instead of 0.11.9.

What's new in GOK 0.11.9 ?

* Expose multiple actions for UI components which have more than one
  possible user action available.  Fixes bug #151417.

* Improved table and list behavior: Bugfixes for #153130, #152788,
  #153389.

* Rewrite of online help (thanks to Irene Ryan!)

What's new in GOK 0.11.8 ?

* Fixed broken .m4 macro (bugzilla 152086)

What's new in GOK 0.11.7 ?

* Account for BORDERPIX in DOCK windows, which 
  prevents some resize problems with the 'Show' and 'Hide' keys.
  (#149842).

* Don't dist the merged .kbd files, they are regenerated on make.
  (If this breaks anyone's rpm maker, we may reconsider this change)

What's new in GOK 0.11.6 ?

* Fixes for bug #144435, #147633, #142831, and #150260.
  Non-XKB compose keyboards are working better now with
  word completion, and at login with a working 'Menus' key.

What's new in GOK 0.11.5 ?

* Localization improvements from Takao Fujiwara.

* Don't do word completion if current text field is PASSWORD_TEXT.

* Minor bug fixes.

* new language: id (Indonesian), Ahmad Riza H Nst.

What's new in GOK 0.11.4 ?

* Allows user to override access method, "scan" action, and "select"
  actions from command line.  See "gok --usage" or "gok --help" for
  more info.

* Requires at-spi-1.5.2 or better.

* Requires libloginhelper-1.0.

* Implements LoginHelper interface, to let authentication clients know
  that GOK needs certain services during screen lock or authentication
  (such as having its main window raised, access to XInput devices, etc.)

* Always register with bonobo-activation (as a LoginHelper).

* Fixed bug in gok_scanner_current_state_uses_corepointer, which
  means the "core pointer warning" dialog doesn't get posted
  unnecessarily.

* Adds a new gconf key, /apps/gok/per_user_dictionary, 
  which determines whether each GOK user has a private (writeable)
  copy of the main GOK word completion dictionary or not.

* Bug fixes: #143453, #143295, #142796.


=====

What's new in GOK 0.11.3 ?

(This is the first external release in the development
series of GOK targeting the gnome 2.8 release)

Lots of new UI and features...

* Added 5-switch directed scanning access method.

* Fixed DOCK behavior when docking at top of screen (#140882).

* Warn user about likely side-effects when starting GOK in 
  corepointer mode (except for Direct
  Selection access method).

* Changed GOK's dialogs (About, startup message dialogs, etc.) to 
  prevent them from raising above GOK's main window when in DOCK mode.
  (#136160).

* Fixed the very broken KEYSTRING word completion input.

* Added a utility ('create_branching_keyboard') for creating
  branching compose keyboards for non-Latin locales and locales which
  normally require 'input methods' for text input.
 
* Allow user to chooise between prebuild compose keyboard from a
  custom .kbd file. a keyboard created from the XKB keyboard
  description on the X Server (default), an alphabetic keyboard, or a
  keyboard with alphabetic keys listed in order of frequency.  Better
  handling of key shift levels for non-alphabetic keys.

* Added a numberpad keyboard (136482) and put a branch key for it on
  the compose keyboard.

* Added a valuator keyboard, and support UI grab and manipulation of
  sliders and scrollbars (132757, 138751).

* Allow the user to change the sensitivity of the XInput valuators
  (132132).

* Allow the user to select Dock and Fill modes for GOK from the
  "Settings" dialog (118222).

* Allow the user to specify an additional search directory for GOK
  keyboards (109181, 140929)

* by default we put the additional keys on the "XKB" Compose keyboard
  on the leftmost column instead of on a new row, to conserve space.

* Use libglade instead of glade-generated source files.

* Require libbonobo-2 2.5.1

* Better support for tables, including the ability to select rows in
  GNOME tables via GOK.

* Build and packaging fixes.

* Fixes for bugs: 133545, 117568, 138683, 129450, 136065, 136732,
  139495, 140051, 141996, 136877, 141240, more.

* languages: gu (Guntupalli Karunakar)


=======

What's new in GOK 0.10.1 ?

* Much improved table handling: many table and list items
  that were previously 'inert' when activated from GOK now
  work correctly. (#117567, #129450)

* GOK now allows direct interaction with the gtk+-2.4 file selector.
  (#136065).

* Fixed a regression in the Settings dialog 
  when used with HighContrastInverse themes. (#138683)

* Fixed modifier/shift behavior in "alphabetic" keyboards that
  aren't created from the XKB keyboard description.

* Improved support for Mozilla-1.6. (This will be visible to end-users
  when mozilla changes are pushed out to the main 1.6 tree)
  (#135314)

* other bugfixes: #133545

* languages:
  bn (Sayamindu Dasgupta)
  hu (Andras Timar)

=======
[This is the gnome-2.6.0 release of GOK.]

What's new in GOK 0.10.0 ?

* Fix for #136756, which could interfere with dwell selection
  settings.

* languages:
  Punjabi (Guntupalli Karunakar)
  en_GB (Gareth Owen)

======

[This is the gnome-2.6 RC1 release of GOK.]

What's new in GOK 0.9.11 ?

* Fix for double-unref bug (#136764) that could cause crashes if
  an accessible selection or action failed.

* Fix for bug #136509, which restores visual 
  indication of shift state to
  hand-crafted alphanumeric keyboards.

=====

* Much improved support for panel applets. [bug #129609]

* Fixed support for 'Text Manipulation' keyboard [bug #136326]

* Update UI-Grab when hypertext or scrollbar content changes. [bug
  #135635]

* Build fixes for source and docs.

* Build updated to use automake-1.7 [bug #134954]

* Fixes for improper memory references detected with valgrind.

* Updated translations:
	  MÉtin Æmirov (az)
	  Christian Neumair (de)
	  Nikos Charonitakis (el)

* translations 100% complete: 
  az, cs, da, de, en_CA, es, ja, ko, nl, no, pl, pt, sq, sr,
  sr@Latn, sv.

* translations 90 - 99% complete: 
  el, hr, lt, mn.

* translations 80 - 90% complete:
  ar, be, ca, cy, fr, ms, pt_BR, sl, vi, zh_CN.

* Thanks to all translators in the gok-0.9 series:

  Arafat Medini (ar)
  MÉtin Æmirov (az)
  Miloslav Trmac (cs)
  Ole Laursen (da)
  Christian Neumair (de)
  Nikos Charonitakis (el)
  Adam Weinberger (en_CA)
  Francisco Javier F. Serrador (es)
  Christophe Merlet (RedFox) (fr)
  Alastair McKinstry (ga)
  G Karunakar (hi)
  "Last-Translator: auto\n" (hr)
  Takeshi AIHANA (ja)
  Changwoo Ryu (ko)
  Tomas Kuliavas (lt)
  Sanlig Badral (mn)
  Hasbullah Bin Pit (ms)
  Tino Meinen (nl)
  Sigurd Gartmann (no)
  GNOME PL Team (pl)
  Duarte Loret (pt)
  Marcel Telka (sk)
  Laurent Dhima (sq)
  анило Шеган (sr) [sorry Danilo Segan ;-)]
  Christian Rose (sv)
  Burçin Dönmez (tr)


=======

What's new in GOK 0.9.9 ?

* Fixed regression in toolbar items; they should be actionable now.

* Restart on SEGV

* Fixed 'Full Credits' link in Gok-About

* Improve treatment of combo-boxes (aka GtkOptionMenus), to
  expose the editable text entry if available.

* Fixed word-completion when shift modifiers are used.
  (bug #13439).

* Fixed intermittent "double key activation" problem when using
  corepointer with Direct Selection (bug #134218).

* Worked around an infinite-loop problem when using nautilus with gok.
  (bug #134631)

* Fix for bug #135833.

What's new in GOK 0.9.8 ?

* Fixed bug #133999 - DOCK mode now fills the screen width correctly.

* fix for bug #134726, which could cause a SEGV with 
  OpenOffice and some other apps.

* fix for bug #133504, which restores proper functioning of
  gok's DOCK mode when using FILL/expand.

* en_CA added to ALL_LINGUAS (Christian Rose)

* two new strings marked for 
  translation (Kjartan Marass)


What's new in GOK 0.9.7 ?

* redist to fix missing GNOME_Gok.server.in.in (somehow lost
  in previous dist).

* better word completion support for non-latin languages

* word-completion support for deadkeys.

* removed C99-isms, build cleanly with -ansi and -Werror.

* bugfixes for: #133999, 133992, #134040, #109403, #134103,
  #134147, #126437.

* translations 99 - 100% complete: 
  az, cs, de, el, es, ko, nl, no, pl, sq, sr, sr@Latn.

* translations 90 - 98% complete: 
  hr, lt, mn, sv.

=====

What's new in GOK 0.9.6/0.9.5 ?

* Keep GOK onscreen even when 'show desktop' button is activated. 
* Substantial preformance re-work of GOK's 'UI Grab' and advanced
  UI query features.  Produces 10x speedup with some apps.
* Better support for comboboxes and list boxes; also better support for
  interacting with the desktop and context menus.
  Some support for valuators (user can focus them via gok).
* More consistent tracking of focus and active application window.
* Better support for UI Grab on GOK's own Settings dialog.
* Marked settings UI elements for translation.
* Support for multi-group keyboards; GOK now works
  with the gkb/gswitchit and the GNOME Keyboard Indicator.
* Deadkey labels are much improved.
* (temporary?) workaround for bug #109403; GOK can be used
  better with pixmap themes, but no longer tracks changes to 
  the user theme in its own settings dialog.

* Lots of bugfixes: 125931, 131426, 117072, 123479, 132094,
  132104, 132292, 132775, 133296, 133484, 126437, 121907, more.

new languages:

* ga (Irish): Aliastair McKinstry

substantially complete translations:

* az, cs, de, el, es, hr, ko, lt, mn, nl, no, pl, sq, sr, sr@Latn, sv.

=======

What's new in GOK 0.9.5?

* Mostly bug fixes.
* Added UI for specification of an extra word list
* Note dependancy updated: gtk+ 2.3.1
* Sticky keys are now set more consistently (Thanks Muktha 
<muktha.narayan@wipro.com>)

Bugfixes: #126727, #127296, #127397, #128934, #126298, #127966,
#128438, #127053, #128692, #129972, #129629, #130807, #106978

New Translations:
* ar (Arafat Medini), hr (Robert Sedak), lt (Tomas Kuliavas)


What's new in GOK 0.9.4

* Improved display for non-US compose keyboards.
* Improved gok_keyboard_about
* Deals better with UI components having the same/similar names
* New access method: single-key sequential scanning.
* Automatically searches for dynamic GOK keyboards matching the current
  locale, and uses localized GOK keyboards if available.
* Bugfixes: #128966, #126298, #126299, #128117, #128185,
  #127398, #126722, #127053, #126814, #126815 (partial).

What's new in GOK 0.9.3

* Lots of Internationalization improvements:
-> Merged the gok_i18n branch into HEAD.
-> GOK Keyboards are now marked for translation.
-> Improved support for compose-key sequences.
-> Can support matching more than one modifier at once,
   useful for international keyboards with multiple glyphs per
   keycap.
-> More strings marked for translation.

* Efficiency improvements.

* Fix for building without XInput.

* Prevent GOK from occluding itself with its dialogs.

* GOK can now present buttons for 'nameless' UI elements e.g. those
  with only icons and not text labels.

* GOK now reacts to state-changes in UI elements which it is presenting
  in a UI-Grab keyboard.

* We now require intltool 0.27.3 to build GOK.

* Fixes for 125156, 121445, 107211, 108137, 107857, 122109, 117049, 
  125319, and more.

What's new in GOK 0.9.1

* New strings marked for translation

* Improvements to internationalization:
-> GOK word completion is now UTF-capable
-> GOK can use a system or user word-list, in UTF8 or ISO-latin.
-> More than one modifier can be matched

* User can specify an additional dictionary/wordlist file, for instance
  a wordlist from ispell, via gconf.  (There's no UI for this in GOK yet).


What's new in GOK 0.8.4

This is the official GNOME 2.4.1 GOK release.

* added a word-completion test to the test suite.

* critical bug fixes: #123497, #123405.

* other bug fixes: #120305.

What's new in GOK 0.8.3

* bug fixes

* this is a hurried release as 0.8.2 is flaky (sorry)


This (0.8.0) is the official GNOME 2.4 GOK release.

What's new in GOK 0.8.0:

* Fix for bugs #120914

* Fix for conflict with gtk+ version 2.2.3. 

* new translations: sq (Laurent Dhima); mk, zh_TW (Abel Cheung).

* updated README to give detailed directions on configuring GOK
  to use extended input devices (e.g. non-corepointer XInput devices),
  and updates to Known Issues section.


What's new in GOK 0.7.14:

* Gok now interrogates the foreground application at startup if the application
  is accessible.
  
* Gok doesn't display non-showing widgets (unless they are menus)

* Fixes and improvements for: #120305, #120303, #116225, #113136, #120489,
#119260, #119880, #108120, #120650


What's new in GOK 0.7.13:

* Detailed news unavailable.

* Updated Requirements: intltool 0.27.1

* Fixes and improvements for: #114345, #118865, #118282, #116966, #115979, 
#117570, #116688, #114053, #114290, #116903, #117602, #119907, #117571, #118192,
#117463, #117473, #118509, #118105, #112281, #118275, #109193, #117560, #116426,
#116881, #117592
  

What's new in GOK 0.7.8:

* Improvements/fixes for images on buttons.  Use images for 'arrows' in
  move-resize keyboard.

* Install GOK in the Applications menu; for the moment it installs into 
  'Applications/Other' but it should install into 'Applications/Accessibility' 
  once that submenu is created.

* Allow resizing of GOK keys from the 'move-resize' keyboard.

* Fix so that page tabs are included in UI Grab and are actionable.

* Fixes for "Text Manipulation" keyboard.

* GOK is now almost UI frozen for GNOME 2.4.

* Fixes and improvements for: #115979, #108120. #98545, #114740, #116192, #115108,
  #115252, #114879.  

* new languages including ml from Guntupalli Karunakar. 
  

What's new in GOK 0.7.7:

* Intial implementation of a "Text Manipulation" keyboard that 
  allows fast navigation, cut, paste, and copy operations within a
  document that exports the AT-SPI accessibility APIs.

* Word completion improvements, better behavior between words and 
  with "backspace".

* GOK warns if StickyKeys is not enabled, and sets it (#114726).

* GOK asks WM not to display close, iconify, or maximize buttons (#107917)

* GOK provides some mouse control/emulation features (#109188)

* Fixed crasher bug #110276 (actually fixed in at-spi, by Michael).

* Fixes/Enhancements for bugs/RFEs: #108091, #110268 (Padraig), #109183, 
  #112507, #114654, #109182

=========

What's new in GOK 0.7.6:

* Added repeat feature.  Repeat stoppage is currently described for 
each access method in the respective xml (.xam) file.  
Repeat mode is currently implemented via a new key type. 
This allows users with severly limited action palettes to
use repeat mode.  Adding repeat start descriptions to some of the 
access methods is a good future goal.

* bug fix for #109178

=========

What's new in GOK 0.7.5:

* new "Show/Hide" feature in "Window" keyboard.

* Changes to main keyboard, places Preferences in a new
  "GOK" keyboard.

* Added "Help" and "About" buttons.

* Added hyperlink traversal features and lots of improvements to
  the "UI Grab" behavior.  Also grab and focus text entry fields.

* Added "dock" and "float" buttons for docking and undocking.

* bugfixes/enhancement for #108308, #92668, #114124, #107477.

=======

What's new in GOK 0.7.4:

* bugfixes for #88033, #113836, #108273, #108282, 
  RFEs #108055, #109325

* GOK now allows images to be placed on its buttons, with 
either a default, stock, or user-specified size.

* new panel/dock mode for GOK, keeps maximized windows from 
encroaching, and lets WM do it's best not to put things
underneath GOK.

==============
